## org.eclipse.e4.xwt.input
Class RoutedCommand

    java.lang.Object
      org.eclipse.e4.xwt.input.RoutedCommand

All Implemented Interfaces:
  ICommand

    public class RoutedCommand

extends java.lang.Object
implements ICommand

Constructor Summary
`RoutedCommand()`

Method Summary
`void` `addCanExecuteChangedListener(CanExecuteChangedListener listener)`
`boolean` `canExecute()`
`void` `execute(java.lang.Object parameter)`
`void` `fireCanExecuteChangedListener(java.beans.PropertyChangeEvent args)`
`void` `removeCanExecuteChangedListener(CanExecuteChangedListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutedCommand

    public RoutedCommand()

Method Detail

### canExecute

    public boolean canExecute()

  Specified by:
    `canExecute` in interface `ICommand`

### execute

    public void execute(java.lang.Object parameter)

  Specified by:
    `execute` in interface `ICommand`

### addCanExecuteChangedListener

    public void addCanExecuteChangedListener(CanExecuteChangedListener listener)

  Specified by:
    `addCanExecuteChangedListener` in interface `ICommand`

### removeCanExecuteChangedListener

    public void removeCanExecuteChangedListener(CanExecuteChangedListener listener)

  Specified by:
    `removeCanExecuteChangedListener` in interface `ICommand`

### fireCanExecuteChangedListener

    public void fireCanExecuteChangedListener(java.beans.PropertyChangeEvent args)